#!/bin/bash
if [ ! -d ".git" ]; then
	git init
	git add manifest.xml
	git commit -m "add/update manifest.xml"
fi

# test si il y a des modifs du manifest
git diff-index --quiet HEAD --
if [ $? -eq 1 ]; then
	git add manifest.xml
	git commit -m "add/update manifest.xml"
fi

if [ ! -d ".repo" ]; then
	# initialisation de la base des repos GIT
	/usr/bin/repo init -u . -m manifest.xml --repo-url=https://git.nas.benserv.fr/mirrors/git-repo.git
fi

# synchronisation de la base des repos GIT
/usr/bin/repo sync
